Bug 433053 - krunner prefers to open scripts as text files
Summary: krunner prefers to open scripts as text files
Status: RESOLVED FIXED
Alias: None
Product: krunner
Classification: Plasma
Component: locations (show other bugs)
Version: 5.21.0
Platform: OpenSUSE Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Alexander Lohnau
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2021-02-17 08:04 UTC by Fabian Vogt
Modified: 2021-02-22 18:16 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.21.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Vogt 2021-02-17 08:04:49 UTC
Found by openQA: https://openqa.opensuse.org/tests/1632489#step/libqt5_qtbase/25

It types "/usr/sbin/yast2 inst_release_notes" to run that as a command, but krunner defaults to open /usr/sbin/yast2 in kate instead. The second argument is ignored.
Comment 1 Bug Janitor Service 2021-02-17 15:27:21 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/654
Comment 2 Alexander Lohnau 2021-02-22 12:00:31 UTC
Git commit 7e3a4231e1bc0e77a548c8e826f9051d37f6ba21 by Alexander Lohnau.
Committed on 22/02/2021 at 11:58.
Pushed by alex into branch 'master'.

locations runner: Fix absolute filepath + arguments

The KUriFilter would interpret this as a path and consequently
produce a result.
FIXED-IN: 5.21

M  +2    -1    runners/locations/locationrunner.cpp

https://invent.kde.org/plasma/plasma-workspace/commit/7e3a4231e1bc0e77a548c8e826f9051d37f6ba21
Comment 3 Alexander Lohnau 2021-02-22 12:08:00 UTC
Git commit 6315e05e282f06b2f79ca5d966aa55df2aa6877e by Alexander Lohnau.
Committed on 22/02/2021 at 12:06.
Pushed by alex into branch 'Plasma/5.21'.

locations runner: Fix absolute filepath + arguments

The KUriFilter would interpret this as a path and consequently
produce a result.
FIXED-IN: 5.21

M  +2    -1    runners/locations/locationrunner.cpp

https://invent.kde.org/plasma/plasma-workspace/commit/6315e05e282f06b2f79ca5d966aa55df2aa6877e